summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLibravatar Ævar Arnfjörð Bjarmason <avarab@gmail.com>2011-05-21 18:44:02 +0000
committerLibravatar Junio C Hamano <gitster@pobox.com>2011-05-21 11:57:16 -0700
commitee653c89ff77eaadd2162870267ad812fdc34af5 (patch)
treeb035b43aae351a14110566171ecb07a88d8e7248
parenti18n: git-submodule die + eval_gettext messages (diff)
downloadtgif-ee653c89ff77eaadd2162870267ad812fdc34af5.tar.xz
i18n: git-submodule $update_module say + die messages
Gettextize $update_module say and die messages. These messages needed to be split up to make them translatable. Signed-off-by: Ævar Arnfjörð Bjarmason <avarab@gmail.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
-rwxr-xr-xgit-submodule.sh17
-rwxr-xr-xt/t7406-submodule-update.sh2
2 files changed, 9 insertions, 10 deletions
diff --git a/git-submodule.sh b/git-submodule.sh
index de5048cfe9..7eb1de03a5 100755
--- a/git-submodule.sh
+++ b/git-submodule.sh
@@ -511,24 +511,23 @@ cmd_update()
case "$update_module" in
rebase)
command="git rebase"
- action="rebase"
- msg="rebased onto"
+ die_msg="$(eval_gettext "Unable to rebase '\$sha1' in submodule path '\$path'")"
+ say_msg="$(eval_gettext "Submodule path '\$path': rebased into '\$sha1'")"
;;
merge)
command="git merge"
- action="merge"
- msg="merged in"
+ die_msg="$(eval_gettext "Unable to merge '\$sha1' in submodule path '\$path'")"
+ say_msg="$(eval_gettext "Submodule path '\$path': merged in '\$sha1'")"
;;
*)
command="git checkout $subforce -q"
- action="checkout"
- msg="checked out"
+ die_msg="$(eval_gettext "Unable to checkout '\$sha1' in submodule path '\$path'")"
+ say_msg="$(eval_gettext "Submodule path '\$path': checked out '\$sha1'")"
;;
esac
- (clear_local_git_env; cd "$path" && $command "$sha1") ||
- die "Unable to $action '$sha1' in submodule path '$path'"
- say "Submodule path '$path': $msg '$sha1'"
+ (clear_local_git_env; cd "$path" && $command "$sha1") || die $die_msg
+ say $say_msg
fi
if test -n "$recursive"
diff --git a/t/t7406-submodule-update.sh b/t/t7406-submodule-update.sh
index 4f16fcce2b..60e33bed28 100755
--- a/t/t7406-submodule-update.sh
+++ b/t/t7406-submodule-update.sh
@@ -90,7 +90,7 @@ test_expect_success 'submodule update does not fetch already present commits' '
(cd super &&
git submodule update > ../actual 2> ../actual.err
) &&
- test_cmp expected actual &&
+ test_i18ncmp expected actual &&
! test -s actual.err
'